Create Possible Task

This endpoint allows an admin user to create a new possible task.

POST
/PossibleTask/CreatePossibleTask
AuthorizationBearer <token>

Authorization header using the Bearer scheme. Example: "Bearer {token}"

In: header

Query Parameters

Description?string

The description of the task, which must not be empty and cannot exceed 500 characters.

ShortDescription?string

The short description of the task, which must not be empty and cannot exceed 50 characters.

Points?integer

The point value of the task, which must be greater than zero and not exceed 100.

Formatint32
MaxPerPeriod?integer

An optional parameter specifying the maximum number of tasks that can be completed per period. If not provided, it defaults to null.

Formatint32

Response Body

curl -X POST "https://loading/PossibleTask/CreatePossibleTask"
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "description": "string",
  "shortDescription": "string",
  "points": 1,
  "isActive": true,
  "maxPerPeriod": 0
}
Empty
Empty
Empty